Ubuntu Kylin技术论坛

 找回密码
楼主: 55952015

QQ好像安装不上,求最新攻略!

  [复制链接]
  • TA的每日心情
    开心
    2017-5-15 10:35
  • 签到天数: 9 天

    [LV.3]偶尔看看II

    发表于 2017-4-20 14:48:26 | 显示全部楼层
    sudo dpkg --add-architecture i386
    先这样一下,再按上边的做
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    无聊
    2017-9-10 09:45
  • 签到天数: 8 天

    [LV.3]偶尔看看II

     楼主| 发表于 2017-4-20 20:34:48 | 显示全部楼层
    sudozhang 发表于 2017-4-20 14:48
    sudo dpkg --add-architecture i386
    先这样一下,再按上边的做

    能不能给个详细的攻略,谢谢大侠
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    发表于 2017-4-21 10:17:48 | 显示全部楼层
    我也装不上啊,各种办法试了。出现以下错误, libpng12-0已安装且是最新版,依赖关系也已用apt --fix-broken install修复过,再次安装QQ还是同样问题,黔驴技穷了,求大神指导指导。

    dpkg: 依赖关系问题使得 wine-qqintl:i386 的配置工作不能继续:
    wine-qqintl:i386 依赖于 libpng12-0.
    dpkg: 处理软件包 wine-qqintl:i386 (--install)时出错:
    依赖关系问题 - 仍未被配置
    正在处理用于 gnome-menus (3.13.3-6ubuntu5) 的触发器 ...
    正在处理用于 desktop-file-utils (0.23-1ubuntu2) 的触发器 ...
    正在处理用于 bamfdaemon (0.5.3+17.04.20170406-0ubuntu1) 的触发器 ...
    Rebuilding /usr/share/applications/bamf-2.index...
    正在处理用于 mime-support (3.60ubuntu1) 的触发器 ...
    正在处理用于 hicolor-icon-theme (0.15-1) 的触发器 ...
    在处理时有错误发生:
    wine-qqintl:i386
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

    发表于 2017-4-21 10:31:37 | 显示全部楼层
    55952015 发表于 2017-4-20 11:45
    To run a command as administrator (user "root"), use "sudo ".
    See "man sudo_root" for details.

    因为你用的是银河麒麟社区版,包结构有些不同,你要装 libpng12-0:i386 1.2.54-1kord1包,而不是 libpng12-0:i386 1.2.54-1ubuntu1包,其它步骤没区别。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    无聊
    2019-1-25 14:27
  • 签到天数: 62 天

    [LV.6]常住居民II

    发表于 2017-4-21 10:51:24 | 显示全部楼层
    本帖最后由 goodbye 于 2017-4-21 15:41 编辑
    55952015 发表于 2017-4-20 11:45
    To run a command as administrator (user "root"), use "sudo ".
    See "man sudo_root" for details.
    rsfd0420@rsfd0420-ThinkPad-T410:~/下载$ sudo dpkg --add-architecture i386
    rsfd0420@rsfd0420-ThinkPad-T410:~/下载$ sudo dpkg -i libpng12-0_1.2.54-1ubuntu1_i386.deb
    正在选中未选择的软件包 libpng12-0:i386。
    (正在读取数据库 ... 系统当前共安装有 167998 个文件和目录。)
    正准备解包 libpng12-0_1.2.54-1ubuntu1_i386.deb  ...
    正在反配置 libpng12-0:amd64 (1.2.54-1kord1) ...
    正在解包 libpng12-0:i386 (1.2.54-1ubuntu1) ...
    dpkg: 处理软件包 libpng12-0:i386 (--install)时出错:
    现在尚不能配置软件包 libpng12-0:i386 1.2.54-1ubuntu1,因为 libpng12-0:amd64 处于一个不同的版本(1.2.54-1kord1)

    看你第六行和第七行,一个是1.2.54-1kord1 一个是1.2.54-1ubuntu1,你的系统deb包都是kord的,装ubuntu的应该会报错

    找了32位的kord版的 libpng,安装这个试试,https://pan.baidu.com/s/1c12XXq4
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

    发表于 2017-4-21 15:23:15 | 显示全部楼层
    butter7372 发表于 2017-4-21 10:17
    我也装不上啊,各种办法试了。出现以下错误, libpng12-0已安装且是最新版,依赖关系也已用apt --fix-broke ...

    您用的是优麒麟还是银河麒麟,还有您的 libpng12-0是有问题的,是否装的是 libpng12-0:i386  32位版本 就算是64位系统 这个包也是要装32位版本的,因为qq依赖
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    慵懒
    2018-4-11 10:48
  • 签到天数: 348 天

    [LV.8]以坛为家I

    发表于 2017-4-29 16:04:08 | 显示全部楼层
    银河麒麟有没有安装QQ成功的,给个流程啊~~~
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    发表于 2017-5-2 16:52:45 | 显示全部楼层
    我的银河麒麟也是安装不了,安装成功的高手能否写个教程,万分感谢!
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    发表于 2017-5-2 16:55:32 | 显示全部楼层
    用了论坛推荐的wine-qq,安装过程提示版本不符合,请问哪个连接的版本才能够安装。

    本帖子中包含更多资源

    您需要 登录 才可以下载或查看,没有帐号?立即注册

    x

    点评

    银河麒麟系统包有些不同,我先装个银河麒麟试下,待会再回复你怎么装  发表于 2017-5-3 08:59
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

    发表于 2017-5-3 13:49:13 | 显示全部楼层
    天地一巴掌 发表于 2017-4-29 16:04
    银河麒麟有没有安装QQ成功的,给个流程啊~~~

    刚装银河麒麟版本亲试了,更新了银河麒麟版本的安装流程 http://www.ubuntukylin.com/ukyli ... amp;extra=#pid51653
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    小黑屋|手机版|Archiver|Ubuntu Kylin    

    GMT+8, 2019-11-13 19:49 , Processed in 0.017859 second(s), 9 queries , File On.

    Copyright ©2013-2019 Ubuntu Kylin. All Rights Reserved .

    ICP No. 15002470-2 Tianjin

    快速回复 返回顶部 返回列表